#if defined __ze_ranks_included
	#endinput
#endif
#define __ze_ranks_included

/**
 * -=| Forwards |=-
 */

/**
 * Called after change Rank of the player.
 *
 * @param id         Client index.
 * @param szRank[]   Rank Name.
 * @param iLevel     Level of the player.
 *
 * @noreturn
 */
forward ze_fw_rank_changed(id, const szRank[], iLevel);

/**
 * -=| Natives |=-
 */

/**
 * Gets current rank for specific player.
 *
 * @param id       Client index.
 * @param buffer[] Buffer to copy string in.
 * @param length   Buffer length.
 *
 * @return         Number of cells written to buffer.
 * @error          If this player not on game.
 */
native ze_get_user_rank(id, buffer[], length);

/**
 * Sets new rank for specific player.
 *
 * @param id       Client index.
 * @paral rank[]   Rank to be set.
 *
 * @return         true  | If rank assigned successfully.
 *                 false | If player not on game.
 * @error          If this player not on game.
 */
native ze_set_user_rank(id, const rank[]);